Last Comment Bug 5866 - vcard accepts us-ascii only
: vcard accepts us-ascii only
Status: VERIFIED FIXED
DEPEND - Intl
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M7
Assigned To: rhp (gone)
: marina
Mentors:
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-05-03 10:11 PDT by marina
Modified: 2008-07-31 01:22 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description marina 1999-05-03 10:11:39 PDT
Steps to reproduce:
-edit your vcard entering in the Last,First Name fields extended ascii
 "Málkévîçh,Márina";
-send your message with the vcard attached;
-get the message in 5.0
//note: all accented chars are garbled
Comment 1 nhottanscp 1999-05-03 11:16:59 PDT
Reassigning to rhp@netscape.com.
Is vCard in for M5?
Comment 2 rhp (gone) 1999-05-03 11:22:59 PDT
vCards are in for M5, but I don't think I will be able to fix this before the
deadline so I am marking it for M6. Quick question...I assume this worked fine
for 4.x?

- rhp
Comment 3 marina 1999-05-03 11:23:59 PDT
yes, your assumption is correct.
Comment 4 nhottanscp 1999-05-03 11:25:59 PDT
It was working in 4.5 but we had MIME related issues and we want to fix them.
momoi@netscape.com should know about the details.
Comment 5 rhp (gone) 1999-05-03 11:46:59 PDT
Can someone send me an example vCard for debugging. I think I know what the
problem is, but I could use an example :-)

- rhp
Comment 6 rhp (gone) 1999-05-17 14:57:59 PDT
Just checked in a change that should fix this...now I can see the correct ouput
for the sample card that marina sent to me.

- rhp
Comment 7 marina 1999-05-24 15:17:59 PDT
i see this bug in the 5/24/99 build, so reopening
Comment 8 rhp (gone) 1999-05-24 18:55:59 PDT
This is a result of bug #6698. When ftang checks in the changes for this bug,
I18N vCards will start working again. Not sure how you want to mark
this...should I mark it fixed

- rhp
Comment 9 rhp (gone) 1999-05-24 21:10:59 PDT
Oops..my mistake. I have a fix for this in my tree now so I will get this into
the tree.

- rhp
Comment 10 chris hofmann 1999-05-25 20:48:59 PDT
vcard's are a marginal feature for 5.0.
can this wait until m7?  I'd like to see this
change just go on the trunk...  any other thoughts?
Comment 11 rhp (gone) 1999-05-26 06:25:59 PDT
You are probably right. I will move this to M7 and get the fix into the tree
once it is open.

- rhp
Comment 12 rhp (gone) 1999-05-27 12:01:59 PDT
I checked in the fix this morning.

- rhp
Comment 13 rhp (gone) 1999-05-28 15:09:59 PDT
This should be fixed.

- rhp
Comment 14 marina 1999-06-09 10:41:59 PDT
the 6/8/99 build still displays non-ascii in the vcard as garbage, so
...reopening.
Comment 15 rhp (gone) 1999-06-14 15:22:59 PDT
I think this is fixed...again :-) I am running the client with my test vcard
from Marina and it looks correct.

- rhp
Comment 16 marina 1999-06-17 11:07:59 PDT
Verified in the 06/16/99 build. Send myself a message with the vcard attached
from 4.6. All high ascii are showing correctly in 5.0

Note You need to log in before you can comment on or make changes to this bug.